Get Compatibility Matrix Metadata

Get Compatibility Matrix Metadata
Get Compatibility Matrix Metadata

Get Compatibility Matrix Metadata

Request
URI
GET
https://{api_host}/v1/compatibility-matrices/{compatibilityMatrixSource}/metadata
COPY
Path Parameters
string
compatibilityMatrixSource
Required

compatibilityMatrixSource of compatibility data


Responses
200

Ok

Returns CompatibilityMatrixMetadata of type(s) application/json
{
    "isStale": false,
    "isMissing": false,
    "lastModifiedDate": 0,
    "message": "string",
    "errorMessage": "string",
    "warningMessage": "string"
}
boolean
isStale
Read-Only

staleness of the compatibility matrix content

boolean
isMissing
Read-Only

existence of the compatibility matrix content

integer As int64 As int64
lastModifiedDate
Read-Only

Last modified date of the compatibility matrix content

string
message
Read-Only

Info message for the compatibility matrix content

string
errorMessage
Read-Only

Error message for the compatibility matrix content

string
warningMessage
Read-Only

Warning message for the compatibility matrix content


404

Resource Not Found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string"
        }
    ],
    "referenceToken": "string"
}
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/compatibility-matrices/{compatibilityMatrixSource}/metadata